Ask Your Question
1

common_rosdeps/rosdep.yaml does not working?

asked 2011-11-05 00:08:53 -0500

Kei Okada gravatar image

updated 2011-11-05 00:10:30 -0500

I had following problem

$ rosdep install openhrp3
Failed to find rosdep libxml2 for package openhrp3 on OS:ubuntu version:lucid rosdep install ERROR: failed to install libxml2

but it libxml2 is defined in the common_rosdeps/rosdep.yaml as

libxml2:
  ubuntu: libxml2-dev
  debian: libxml2-dev
  arch: libxml2
  opensuse: libxml2-devel
  fedora: libxml2-devel
  macports: libxml2
  gentoo: dev-libs/libxml2
  freebsd: libxml2
  fedora: libxml2

Is there somethig wrong in common_rosdeps stacks?

$ rosdep where_defined libxml2
libxml2 defined in set(['/opt/ros/electric/stacks/common_rosdeps/rosdep.yaml', ">>/opt/ros/electric/stacks/common_rosdeps/rosdep.yaml<<Unused due to package 'common_rosdeps' being in a stack.]]"])
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2011-11-05 06:45:15 -0500

kwc gravatar image

I'm am not familiar with the contents of openhrp3, but, in order to use common_rosdeps, you have to declare a dependency on it. This can be declared as either a package or a stack dependency -- the package dependency is preferred.

e.g. "rospack depends openhrp3" must contain "common_rosdeps"

edit flag offensive delete link more

Comments

it works, thanks.
Kei Okada gravatar image Kei Okada  ( 2011-11-05 14:40:22 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-11-05 00:08:53 -0500

Seen: 321 times

Last updated: Nov 05 '11